<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
PatternTreeLinearSearchAdjacencyEnumerator
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.adj.incore.tree.search.PatternTreeLinearSearchAdjacencyEnumerator class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="PatternTreeLinearSearchAdjacencyEnumerator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PatternTreeLinearSearchAdjacencyEnumerator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/LinearSearchRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.search"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLogLogAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.search"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PatternTreeLinearSearchAdjacencyEnumerator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.adj.incore.tree.search</FONT>
<BR>
Class PatternTreeLinearSearchAdjacencyEnumerator</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore">ch.javasoft.metabolic.efm.adj.incore.AbstractAdjacencyEnumerator</A>
      <IMG SRC="../../../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.adj.incore.tree.search.PatternTreeLinearSearchAdjacencyEnumerator</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/AdjEnum.html" title="interface in ch.javasoft.metabolic.efm.adj">AdjEnum</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#line.57"><B>PatternTreeLinearSearchAdjacencyEnumerator</B></A><DT>extends <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore">AbstractAdjacencyEnumerator</A></DL>
</PRE>

<P>
The <code>PatternTreeLinearSearchAdjacencyEnumerator</code> uses candidate
 narrowing to enumerate adjacent pairs, but performs a linear superset search 
 for the combinatorial adjacency test.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#NAME">NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.metabolic.efm.adj.incore.AbstractAdjacencyEnumerator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.metabolic.efm.adj.incore.<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore">AbstractAdjacencyEnumerator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#mConfig">mConfig</A>, <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#mModel">mModel</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#PatternTreeLinearSearchAdjacencyEnumerator()">PatternTreeLinearSearchAdjacencyEnumerator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#adjacentPairs(java.util.Queue, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory)">adjacentPairs</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/ColumnPair.html" title="class in ch.javasoft.metabolic.efm.column">ColumnPair</A>&gt;&nbsp;adjacentPairs,
                           <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;zerCols,
                           <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;posCols,
                           <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;negCols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;Col extends <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>,N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt; 
<BR>
void</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#initialize(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.EfmModel)">initialize</A></B>(<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                     <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                     <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A>&nbsp;model)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Stores config and model into protected variables</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#name()">name</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.adj.incore.AbstractAdjacencyEnumerator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.metabolic.efm.adj.incore.<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore">AbstractAdjacencyEnumerator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#adjacentPairs(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.AdjEnumModel)">adjacentPairs</A>, <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#getConfig()">getConfig</A>, <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#getEfmModel()">getEfmModel</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NAME"><!-- --></A><H3>
NAME</H3>
<PRE>
public static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#line.59"><B>NAME</B></A></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../../../constant-values.html#ch.javasoft.metabolic.efm.adj.incore.tree.search.PatternTreeLinearSearchAdjacencyEnumerator.NAME">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PatternTreeLinearSearchAdjacencyEnumerator()"><!-- --></A><H3>
PatternTreeLinearSearchAdjacencyEnumerator</H3>
<PRE>
public <A HREF="../../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#line.63"><B>PatternTreeLinearSearchAdjacencyEnumerator</B></A>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="name()"><!-- --></A><H3>
name</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#line.67"><B>name</B></A>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>The enumerator's name, used to identify it in a factory.</DL>
</DD>
</DL>
<HR>

<A NAME="initialize(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.EfmModel)"><!-- --></A><H3>
initialize</H3>
<PRE>
public &lt;Col extends <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>,N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt; void <A HREF="../../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#line.72"><B>initialize</B></A>(<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                                                             <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                             <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A>&nbsp;model)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#initialize(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.EfmModel)">AbstractAdjacencyEnumerator</A></CODE></B></DD>
<DD>Stores config and model into protected variables
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/AdjEnum.html#initialize(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.EfmModel)">initialize</A></CODE> in interface <CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/AdjEnum.html" title="interface in ch.javasoft.metabolic.efm.adj">AdjEnum</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#initialize(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.EfmModel)">initialize</A></CODE> in class <CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore">AbstractAdjacencyEnumerator</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>columnHome</CODE> - The column home to define column and number types<DD><CODE>config</CODE> - The constraints with precision, log level etc.<DD><CODE>model</CODE> - The model, with stoichiometric matrix, reaction mapping etc.</DL>
</DD>
</DL>
<HR>

<A NAME="adjacentPairs(java.util.Queue, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory)"><!-- --></A><H3>
adjacentPairs</H3>
<PRE>
public void <A HREF="../../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html#line.77"><B>adjacentPairs</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/ColumnPair.html" title="class in ch.javasoft.metabolic.efm.column">ColumnPair</A>&gt;&nbsp;adjacentPairs,
                          <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;zerCols,
                          <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;posCols,
                          <A HREF="../../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;negCols)
                   throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html#adjacentPairs(java.util.Queue, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory)">adjacentPairs</A></CODE> in class <CODE><A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/AbstractAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore">AbstractAdjacencyEnumerator</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PatternTreeLinearSearchAdjacencyEnumerator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/LinearSearchRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.search"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLogLogAdjacencyEnumerator.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.search"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/search/PatternTreeLinearSearchAdjacencyEnumerator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PatternTreeLinearSearchAdjacencyEnumerator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
